## org.apache.lucene.facet.encoding
Class NOnesIntDecoder

    java.lang.Object
      org.apache.lucene.facet.encoding.IntDecoder
          org.apache.lucene.facet.encoding.FourFlagsIntDecoder
              org.apache.lucene.facet.encoding.NOnesIntDecoder

    public class NOnesIntDecoder

extends FourFlagsIntDecoder

Decodes values encoded encoded with `NOnesIntEncoder`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`NOnesIntDecoder(int n)` Constructs a decoder with a given N (Number of consecutive '1's which are translated into a single target value '2'.

Method Summary
`void` `decode(BytesRef buf, IntsRef values)` Decodes the values from the buffer into the given `IntsRef`.
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NOnesIntDecoder

    public NOnesIntDecoder(int n)

  Constructs a decoder with a given N (Number of consecutive '1's which are translated into a single target value '2'.

Method Detail

### decode

    public void decode(BytesRef buf,
                       IntsRef values)

  Description copied from class: `IntDecoder`
  Decodes the values from the buffer into the given `IntsRef`. Note that `values.offset` is set to 0, and `values.length` is updated to denote the number of decoded values.

  Overrides:
    `decode` in class `FourFlagsIntDecoder`

### toString

    public String toString()

  Overrides:
    `toString` in class `FourFlagsIntDecoder`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.